## python-sigmavirus24-urltemplate 4.2.0

=== docs/source/requirements.txt ===
sphinx>=1.3.0
furo
doc8

## python-sigmavirus24-urltemplate 3.0.0

=== debian/changelog ===
python-sigmavirus24-urltemplate (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #841045)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 17 Oct 2016 23:10:16 +0800

=== debian/control ===
Source: python-sigmavirus24-urltemplate
Section: python
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/sigmavirus24/uritemplate
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-sigmavirus24-urltemplate.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-sigmavirus24-urltemplate.git

Package: python-sigmavirus24-urltemplate
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Simple Python library to deal with URI Templates - Python 2.x
 It provides several API for URI template parsing
 which implements RFC6570.
 .
 This package installs the library for Python 2.x.

Package: python3-sigmavirus24-urltemplate
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Simple Python library to deal with URI Templates - Python 3.x
 It provides several API for URI template parsing
 which implements RFC6570.
 .
 This package installs the library for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME:=sigmavirus24-urltemplate
export PYBUILD_INSTALL_ARGS_python2=--install-lib=/usr/lib/python2.7/dist-packages/python-sigmavirus24-urltemplate
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/python3/dist-packages/python-sigmavirus24-urltemplate

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/sigmavirus24/uritemplate/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-sigmavirus24-urltemplate 3.0.0+git20181031.68064e2

=== debian/changelog ===
python-sigmavirus24-urltemplate (3.0.0+git20181031.68064e2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:01:36 +0800

python-sigmavirus24-urltemplate (3.0.0+git20181031.68064e2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ SZ Lin (林上智) ]
  * Import new upstream release
  * Add upstream metadata

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 20 Dec 2018 14:39:34 +0800

python-sigmavirus24-urltemplate (3.0.0+git20170726-1) unstable; urgency=medium

  * Import new upstream release
  * Converting git-dpm to gbp pq
  * d/control:
    - Bump debhelper version to 11
    - Update the info. of homepage
    - Bump Standards-Version to 4.2.1
    - Update info. of maintainer
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update Build-Depends
  * d/compat:
    - Bump compat version to 11
  * d/copyright:
    - Update copyright info.
    - Update the source of upstream

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 28 Aug 2018 10:24:25 +0800

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: python-sigmavirus24-urltemplate
 Section: python
 Priority: optional
-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>= 10),
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               python (>= 2.6),
                python-setuptools,
-               python3-all (>= 3.2),
+               python3 (>= 3.2),
                python3-setuptools
-Standards-Version: 3.9.8
-Homepage: https://github.com/sigmavirus24/uritemplate
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-sigmavirus24-urltemplate.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/python-sigmavirus24-urltemplate.git
+Standards-Version: 4.2.1
+Homepage: https://github.com/python-hyper/uritemplate
+Vcs-Git: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate.git
+Vcs-Browser: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate
 
 Package: python-sigmavirus24-urltemplate
 Architecture: all

## python-sigmavirus24-urltemplate 3.0.1

=== debian/changelog ===
python-sigmavirus24-urltemplate (3.0.1-1) unstable; urgency=medium

  * Import new upstream release
  * Add autopkgtest test case
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 25 Dec 2019 14:39:39 +0800

=== debian/control ===
Source: python-sigmavirus24-urltemplate
Section: python
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3 (>= 3.2),
               python3-setuptools
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/python-hyper/uritemplate
Vcs-Git: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate.git
Vcs-Browser: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate

Package: python3-sigmavirus24-urltemplate
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Simple Python library to deal with URI Templates - Python 3.x
 It provides several API for URI template parsing
 which implements RFC6570.
 .
 This package installs the library for Python 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME:=sigmavirus24-urltemplate
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/lib/python3/dist-packages/python-sigmavirus24-urltemplate

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-sigmavirus24-urltemplate-$1\.tar\.gz/ \
   https://github.com/sigmavirus24/uritemplate/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-sigmavirus24-urltemplate 4.1.1

=== debian/changelog ===
python-sigmavirus24-urltemplate (4.1.1-2) unstable; urgency=medium

  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0
    - Remove constraints unnecessary since buster
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 21 Dec 2022 19:09:48 +0800

python-sigmavirus24-urltemplate (4.1.1-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.6.0.1
    - Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 17 Oct 2021 14:22:06 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3 (>= 3.2),
+               python3,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/python-hyper/uritemplate
 Vcs-Git: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-sigmavirus24-urltemplate-$1\.tar\.gz/ \
   https://github.com/sigmavirus24/uritemplate/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-sigmavirus24-urltemplate 4.2.0

=== debian/changelog ===
python-sigmavirus24-urltemplate (4.2.0-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.7.2
  * d/copyright:
    - Update d/copyright year
  * d/watch:
    - Remove the option filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Sat, 16 Aug 2025 11:17:23 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                python3,
                python3-setuptools
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/python-hyper/uritemplate
 Vcs-Git: https://salsa.debian.org/debian/python-sigmavirus24-urltemplate.git

=== debian/tests/control ===
Tests: test
Depends: @, python3-pytest, python3-testtools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=s/.+\/v?(\d\S+)\.tar\.gz/python-sigmavirus24-urltemplate-$1\.tar\.gz/ \
   https://github.com/sigmavirus24/uritemplate/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
